PROC_DOINTVEC(9)

NAME
proc_dointvec - read a vector of integers

SYNOPSIS

int proc_dointvec (ctl_table * table, int write, struct file * filp, void __user * buffer, size_t * lenp, loff_t * ppos);

ARGUMENTS

table
    the sysctl table

write
     TRUE if this is a write to the sysctl file

filp
    the file structure

buffer
    the user buffer

lenp
    the size of the user buffer

ppos
    file position

DESCRIPTION

Reads/writes up to table->maxlen/sizeof(unsigned int) integer values from/to the user buffer, treated as an ASCII string.

Returns 0 on success.